Skip to content
Lkp kicker dev

Documentação da API

Lkp api lead

Baixar exemplos de código PHP

Lkp api overview

Observação: leia atentamente as instruções da API. É sua responsabilidade solo o que você adiciona pela nossa API.

Método HTTP
POST
Formato de resposta
JSON
Compatibility
Perfect Panel API v2 format — connect it to Perfect Panel, SocPanel, SmartPanel and other panels as a regular provider. Requests: POST (form or JSON), GET also works.
Order statuses
Pending · In progress · Processing · Completed · Partial · Canceled
API URL
https://777like.ru/api/v2
Legacy URL
https://777like.ru/api/v1 — legacy SmartPanel format, still works; use the URL above for new connections.

Faça Novo Pedido

ParâmetroDescrição
keyYour API key
actionadd
serviceService ID
linkLink to page
quantityNeeded quantity
runs optionalRuns to deliver (drip-feed)
interval optionalInterval in minutes, 1–1440 (drip-feed)

Lkp example request

bash
curl -X POST https://777like.ru/api/v2 \
  -d key=YOUR_API_KEY \
  -d action=add \
  -d service=1 \
  -d link=https://twitch.tv/channel \
  -d quantity=1000

Exemplo de resposta:

json
{
  "order": 23501
}

Ordem De Status

ParâmetroDescrição
keyYour API key
actionstatus
orderOrder ID

Lkp example request

bash
curl -X POST https://777like.ru/api/v2 -d key=YOUR_API_KEY -d action=status -d order=23501

Exemplo de resposta:

json
{
  "charge": "0.27819",
  "start_count": "3572",
  "status": "Partial",
  "remains": "157",
  "currency": "USD"
}

Status de vários pedidos

ParâmetroDescrição
keyYour API key
actionstatus
ordersOrder IDs separated by comma (up to 100)

Lkp example request

bash
curl -X POST https://777like.ru/api/v2 -d key=YOUR_API_KEY -d action=status -d orders=1,10,100

Exemplo de resposta:

json
{
  "1": {
    "charge": "0.27819",
    "start_count": "3572",
    "status": "Partial",
    "remains": "157",
    "currency": "USD"
  },
  "10": {
    "error": "Incorrect order ID"
  },
  "100": {
    "charge": "1.44219",
    "start_count": "234",
    "status": "In progress",
    "remains": "10",
    "currency": "USD"
  }
}

Listas De Serviços

ParâmetroDescrição
keyYour API key
actionservices

Lkp example request

bash
curl -X POST https://777like.ru/api/v2 -d key=YOUR_API_KEY -d action=services

Exemplo de resposta:

json
[
  {
    "service": 1,
    "name": "Followers",
    "type": "Default",
    "category": "First Category",
    "rate": "0.90",
    "min": "50",
    "max": "10000",
    "refill": true,
    "cancel": true,
    "dripfeed": false
  }
]

Saldo

ParâmetroDescrição
keyYour API key
actionbalance

Lkp example request

bash
curl -X POST https://777like.ru/api/v2 -d key=YOUR_API_KEY -d action=balance

Exemplo de resposta:

json
{
  "balance": "100.84292",
  "currency": "USD"
}

Refill

ParâmetroDescrição
keyYour API key
actionrefill
orderOrder ID

Lkp example request

bash
curl -X POST https://777like.ru/api/v2 -d key=YOUR_API_KEY -d action=refill -d order=23501

Exemplo de resposta:

json
{
  "refill": "1"
}

Multiple refill

ParâmetroDescrição
keyYour API key
actionrefill
ordersOrder IDs separated by comma (up to 100)

Lkp example request

bash
curl -X POST https://777like.ru/api/v2 -d key=YOUR_API_KEY -d action=refill -d orders=1,2,3

Exemplo de resposta:

json
[
  {
    "order": 1,
    "refill": 1
  },
  {
    "order": 2,
    "refill": 2
  },
  {
    "order": 3,
    "refill": {
      "error": "Incorrect order ID"
    }
  }
]

Refill status

ParâmetroDescrição
keyYour API key
actionrefill_status
refillRefill ID

Lkp example request

bash
curl -X POST https://777like.ru/api/v2 -d key=YOUR_API_KEY -d action=refill_status -d refill=1

Exemplo de resposta:

json
{
  "status": "Completed"
}

Multiple refill status

ParâmetroDescrição
keyYour API key
actionrefill_status
refillsRefill IDs separated by comma (up to 100)

Lkp example request

bash
curl -X POST https://777like.ru/api/v2 -d key=YOUR_API_KEY -d action=refill_status -d refills=1,2,3

Exemplo de resposta:

json
[
  {
    "refill": 1,
    "status": "Completed"
  },
  {
    "refill": 2,
    "status": "Rejected"
  },
  {
    "refill": 3,
    "status": {
      "error": "Refill not found"
    }
  }
]

Cancel

ParâmetroDescrição
keyYour API key
actioncancel
ordersOrder IDs separated by comma (up to 100)

Lkp example request

bash
curl -X POST https://777like.ru/api/v2 -d key=YOUR_API_KEY -d action=cancel -d orders=9,10

Exemplo de resposta:

json
[
  {
    "order": 9,
    "cancel": {
      "error": "Incorrect order ID"
    }
  },
  {
    "order": 2,
    "cancel": 1
  }
]